{
  name: "stasis",
  noCopy: true,
  onTrapPokemon(pokemon) {
    pokemon.tryTrap();
  },
  onResidualOrder: 28,
  onResidualSubOrder: 2,
  onResidual(pokemon) {
    if (!this.field.getPseudoWeather("stasisroom")) {
      pokemon.removeVolatile("stasis");
    }
  },
  onStart(target) {
    this.add("-activate", target, "stasis");
  },
  onEnd(target) {
    this.add("-end", target, "stasis");
  },
}